Subject: bug#55806: closed (Re: bug#55806: [PATCH] gnu: install: Add uvesafb service only on targets that support v86d.)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 07 Jun 2022 10:51:02 +0000

Your bug report

#55806: gnu/system/install.scm includes (service uvesafb-service-type) in %installation-services on all architectures

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
55806: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=55806
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#55806: [PATCH] gnu: install: Add uvesafb service only on targets that support v86d.
From: "pelzflorian (Florian Pelz)" <[email-masked]>
To: Josselin Poiret <[email-masked]>
Cc: [email-masked], Pavel Shlyak <[email-masked]>
Date: Tue, 7 Jun 2022 12:50:09 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Pushed as 0aa43117907581779cf3f343c6175d98369b7e07.

Closing, even though I didn’t manage to boot it on QEMU.

Ideally Guix System would run as seemlessly as the Ubuntu ARM cdimages
work on Macs, but I can’t test and it is a different issue.

Regards,
Florian

Subject: gnu/system/install.scm includes (service uvesafb-service-type) in %installation-services on all architectures
From: Pavel Shlyak <[email-masked]>
To: [email-masked]
Date: Sun, 5 Jun 2022 15:20:09 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Reproducer:
guix system image -t iso9660 gnu/system/install.scm
This command fails on aarch64 host. It doesn’t if I manually remove uvesafb-service-type from the list. It is impossible(and not needed) to run uvesafb on non-x86 machines at the moment, so I think it should be included only in x86_64 (and probably 32bit x86 as well) builds.